# gradlePropertiesPrefixedBy

abstract fun gradlePropertiesPrefixedBy(propertyNamePrefix: String): Provider<Map<String, String>>
abstract fun gradlePropertiesPrefixedBy(propertyNamePrefix: Provider<String>): Provider<Map<String, String>>

Creates a Provider whose value is a name-to-value map of the Gradle properties with the names starting with the given prefix. The prefix comparison is case-sensitive. The returned map is immutable.

#### Return

The provider. Never returns null.

#### Since

8.0

#### Parameters

propertyNamePrefix

The prefix of the Gradle property names